*
{
    transition:all 0.3s ease-in-out;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

}

.home-banner
{
    height:500px;
    background:url("https://softwebgroup.online/img/24.webp");
    background-size:cover;
    background-position: center;
    background-repeat: no-repeat;
    /* object-fit:contain; */
    position:relative;
    overflow:hidden;
    z-index:0;
  display:flex;
  justify-content:center;
  align-items:center;
  flex-direction:column;
}
.home-banner>h1
{
    font-size:45px;
    color:#fff;
    margin-bottom:0px;
}
.home-banner>p
{
    font-size:18px;
    text-align:center;
    color:#fff;
}
.btn-items-container
{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:25px;
    margin-top:20px;
}
.btn-items-container>a
{
    padding:15px 30px;
    font-size:18px;
    font-weight:600;
    text-decoration:none;
    color:var(--primary-bg);
    border-radius:30px;
    box-shadow:inset 0px 0px 5px rgba(0,0,0,0.8);
    background:white;
    transition:all 0.3s ease-in-out;
}
.btn-items-container>a:nth-child(1)
{
    background:var(--accent);
    color:#fff;
}
.btn-items-container>a:hover
{
    transform:scale(1.1);
}
.home-banner::before
{
    content:"";
    position:absolute;
    top:0px;
    left:0px;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.8);
    z-index:-1;
}
.home-banner:hover::after
{
    background:#39b54a;
}

/* =======btn========= */
#btn
{
 position: relative;
 z-index:0;
 overflow:hidden;
}
#btn:active
{
    background:#174a8ded;
}
#btn::after
{
    content:"";
    position:absolute;
    bottom:-20px;
    left:10px;
    width:100%;
    height:100%;
    z-index:-1;
    background:var(--accent);
    transform:scale(0);
    transition:all 0.5s ease-in-out;
}
#btn:active(1):active
{
    background:#39b54a;
}
#btn:nth-child(1):after
{
    background:var(--primary-bg);

}
#btn:hover::after
{
    transform:scale(3.5);
    transition:all 0.9s ease-in-out;
}

/* ===========heading-section=================== */
.heading-section
{
    padding:30px 100px;
}

.heading-section>h2
{
    font-size:52px;
    margin-bottom:0px;
    font-weight:bold;
    font-family:arial;
    color: var(--accent);
}
.heading-section>p
{
    font-size:18px;
    margin:0px;
    margin-top:10px;
}
.contact-form
{
    display:flex;
    margin:30px 70px;
    padding:25px;
    gap:50px;
    box-shadow:0px 0px 5px rgba(0,0,0,0.5);
    border-radius:15px;
}
.contact-form>div
{
    width:50%;
}

.left-section-informastion
{
    display:flex;
    flex-direction:column;
    gap:30px;
}
.left-section-informastion>h3
{
    color: var(--primary-bg);
    font-weight: 700;
 font-size:30px;
 margin-bottom:0px;
}

.left-section-informastion>p
{
    font-size:18px;
}

/* =======soncal-icons======== */
.soncal-icons
{
    display:flex;
    gap:10px;
    margin-left:20px;
    align-items: center;

}
.soncal-icons>span
{
    width:45px;
    height:45px;
    border-radius:10px;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:20px;
    background:var(--accent);
    color:#fff;
}
.soncal-icons>span:hover
    {
        background:#174A8D;
        cursor:pointer;
    }
.informastions
{
    display:flex;
    flex-direction:column;
    gap:5px;
}
.informastions>h5
{
    color: var(--primary-bg);
    margin-bottom:0px;
    font-size:26px;
    font-weight: 600;
}
.informastions>a
{
    font-size:18px;
    text-decoration:none;
    color:#000;
}

/* ===============form-section================= */

.form-section
{
    display:flex;
    justify-content:center;
    align-items:center;
}
.form-section>form
{
    display:flex;
    flex-direction:column;
    gap:20px;
    /* border:2px solid green; */
    width:500px;
    padding:50px 30px;
    padding-top:20px;
    border-radius:20px;
    box-shadow:inset 0px 0px 5px rgba(0,0,0,0.5);
background-color: var(--accent);

}

.form-section>form .input-items  
{
    display:flex;
    gap:20px;
    
}

#h2-heading
{
    font-size: 25px;
    font-weight: 600;
    font-family: arial;
}
.form-section>form .input-items input
{
    padding:15px 20px;
    width:50%;
    font-size:18px;
    color:#000;
    border-radius:10px;
    border:none;
    outline:none;
    box-shadow:0px 0px 5px rgba(0,0,0,0.5);
      border-bottom:3px solid var(--primary-bg);
}

.form-section>form input
{
    padding:15px 20px;
    font-size:18px;
    color:#000;
    border-radius:10px;
     border:none;
    outline:none;
      box-shadow:0px 0px 5px rgba(0,0,0,0.5);
        border-bottom:3px solid #39b54a;
}

.form-section>form select
{
    padding:15px;
    border:none;
    background:#fff;
    border-radius:10px;
    font-size:16px;
     border:none;
    outline:none;
      box-shadow:0px 0px 5px rgba(0,0,0,0.5);
        border-bottom:3px solid var(--primary-bg);
}
.form-section>form select option
{
    padding:10px;
      box-shadow:0px 0px 5px rgba(0,0,0,0.5);
        border-bottom:3px solid #39b54a;
}
.form-section>form textarea
{
    padding:15px;
    border:none;
    border-radius:10px;
    font-size:16px;
     border:none;
    outline:none;
      box-shadow:0px 0px 5px rgba(0,0,0,0.5);
      border-bottom:3px solid var(--primary-bg);
}

/* =========form-submit-button=================== */
.form-submit
{
    padding:15px;
    border-radius:10px;
    color:#fff;
    font-size:18px;
    border:none;
    outline:none;
    cursor:pointer;
   font-weight:600;
    background: var(--primary-bg);
    transition:all 0.5s ease-in-out;
}
.form-submit:hover
{
  box-shadow:inset 0px 0px 30px #39b54a;
    
}

/* =====================map-loaction-setion======================= */

.map-loaction
{
    /* border:2px solid red; */
    padding:30px 50px;
    display:flex;
    gap:30px;
}
.map-loaction>.location-map
{
    border:5px solid var(--primary-bg);
    border-radius:20px;
    overflow:hidden;
    width:100%;
    height:450px;
}
.map-loaction>.location-map iframe
{
     width:100%;
    height:100%;
    border:none;
}

/* =========================media-screen========================== */

@media only screen and (max-width: 600px) {
    .home-banner
    {
        padding:20px;
        height:500px;
    }
  .home-banner > h1
  {
    padding-top: 30px;
  font-size: 30px;
  text-align:center;
  }
  .btn-items-container
  {
    gap:15px;
    flex-wrap:wrap;
  }
  .btn-items-container > a
  {
    font-size:16px;
  }
  .heading-section
  {
    padding:20px;
    padding-top:0px;
  }
  .heading-section{
    color: var(--accent);
  }
  .contact-form
  {
    flex-direction:column;
    gap:15px;
    padding:20px;
    margin:10px;
  }
    .contact-form>div
    {
        width:100%;
    }
    .left-section-informastion
    {
        gap:0px;
        /* padding:20px; */

    }
    .left-section-informastion > h3
    {
        margin:0px;
    }
    .soncal-icons
    {
        margin-left:10px;
        margin-top:10px;
    }

    .soncal-icons::nth-child(1)
    {
      margin-top:25px;
    }
    .soncal-icons > span
    {
        padding:0px 13px;
    }
    

    /* ===============form============= */

    .form-section > form
    {
        flex-direction:column;
        padding:20px;
    }
    .form-section > form .input-items
    {
        flex-direction:column;
    }
    .form-section > form .input-items input
    {
        width:100%;
    }
    .form-section > form textarea
    {
        padding:20px;
        padding-bottom:0px;
    }
    /* ============map-location============ */
    .map-loaction
    {
        padding:20px;
    }
    .map-loaction > .location-map
    {
        height:100%;
    }
    
}


